
Foreman - Bug #33481

"Login Page Footer Text" Blocking Login Button on Foreman UI

09/14/2021 01:36 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1997818 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8779

  

Description

There is an issue with the "Login Page Footer Text" which overlaps with the "Log In" button on the Satellite UI.  To trigger this, you

will need a sufficiently long enough footer text, and the browser window has to be small enough.  As you shrink the height of the

browser window, the footer text will start to overlap with the login box.  Once the footer overlaps the log in box, tf the footer text is

long enough, the "Log In" button cannot be clicked.  Users can still hit "Enter" on the keyboard to log in.

Associated revisions

Revision f081eb2d - 10/04/2021 09:15 AM - Ron Lavi

Fixes #33481 - fix login footer on small screens

on smaller screens,

the login footer can jump and override the login form.

Revision 940a5c12 - 10/04/2021 09:15 AM - Ron Lavi

Refs #33481 - use svg for login background

History

#1 - 09/14/2021 01:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8779 added

#2 - 10/04/2021 09:15 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/04/2021 10:01 AM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f081eb2d612a696d6734ae638f9d61e6d7e76471.

#4 - 11/15/2021 04:50 PM - Amit Upadhye

- Category set to Web Interface

#5 - 11/16/2021 10:58 AM - Amit Upadhye

- Subject changed from "Login Page Footer Text" Blocking Login Button on Satellite UI to "Login Page Footer Text" Blocking Login Button on Foreman

UI
